#ifndef WORK_H
#define WORK_H
#include "types.h"

#define _sleep_work     30000   //сон рабочего процесса

#define _strtxr         185
#define _strtyr         85
#define _szxr           301
#define _szyr           301
#define _stepr          10
//
#define _sint           0x10
#define _set_matrix_lev 127

extern int setx;
extern int sety;
//координаты начала региона
extern int strtxr;
extern int strtyr;
//размер региона
extern int szxr;
extern int szyr;
//шаг в регионе
extern int stepr;

//
extern int mat1x1;
extern int mat1y1;
extern int mat1x2;
extern int mat1y2;
extern int mat1x3;
extern int mat1y3;
extern int mat1x4;
extern int mat1y4;

//запуск рабочего потока
extern int StartWork(void);
//подсчёт мин. сред. макс.
void wMathExtr(void);
//заполнение элементов матрицы1
int fillMatrix1(float ferr, U16 sx, U16 sy);
//заполнение региона
void fillRegion(void);
//рабочий поток
void * wWork_process(void*);
//установка шага региона
extern int wSetStep(int st);
//чтение региона
extern int wRdRegion(U8 * region);
//чтение первой матрицы
extern int wRdMatrix1(U8 * matr1);
//старт заполнения матрицы1
extern int wStartMatrix1(U16 sx, U16 sy);

#endif // WORK_H
